Package org.sonatype.maven.polyglot

# Class PolyglotArtifactFilterDelegate

java.lang.Object
org.sonatype.maven.polyglot.PolyglotArtifactFilterDelegate

All Implemented Interfaces:
  `org.apache.maven.ArtifactFilterManagerDelegate`

@Component(role=org.apache.maven.ArtifactFilterManagerDelegate.class, hint="polyglot") public class PolyglotArtifactFilterDelegate extends Object implements org.apache.maven.ArtifactFilterManagerDelegate
Additional filter required for using `org.sonatype.maven.polyglot.execute` bits from plugins.

Since:
  0.7
Author:
  Jason Dillon

## Constructor Summary

Constructors
Constructor
Description
`PolyglotArtifactFilterDelegate()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addCoreExcludes(Set<String> strings)`
`void`
`addExcludes(Set<String> strings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PolyglotArtifactFilterDelegate

public PolyglotArtifactFilterDelegate()

## Method Details

### addExcludes

public void addExcludes(Set<String> strings)

Specified by:
  `addExcludes` in interface `org.apache.maven.ArtifactFilterManagerDelegate`

### addCoreExcludes

public void addCoreExcludes(Set<String> strings)

Specified by:
  `addCoreExcludes` in interface `org.apache.maven.ArtifactFilterManagerDelegate`